image: reactnativecommunity/react-native-android
before_script:
  - npm i -g envinfo && envinfo

stages:
  - build

build:
  stage: build
  script:
    - yarn install
    - cd android && chmod +x gradlew
    - ./gradlew assembleRelease # build APK File
    # - ./gradlew bundleRelease # build AAB File
  artifacts:
    paths:
    - android/app/build/outputs/